using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Prijatelji
{
    class Program
    {
        static void Main(string[] args)
        {

            String[] line = Console.ReadLine().Split();
            int brojUcenika = int.Parse(line[0]);
            int brojParova = int.Parse(line[1]);

            int[] druzeljubivostUcenika = new int[brojUcenika];

            //line = Console.ReadLine().Split();
            for (int i = 0; i < brojUcenika; i++)
            {
                druzeljubivostUcenika[i] = int.Parse(Console.ReadLine());
            }

            int[,] parovi = new int[brojParova, 2];

            

            for (int i = 0; i < brojParova; i++)
            {
                line = Console.ReadLine().Split();
                parovi[i, 0] = int.Parse(line[0]);
                parovi[i, 1] = int.Parse(line[1]);
            }

            int druzeljubivostTakmicenja = 0;
            int[] tempArr = (int[])druzeljubivostUcenika.Clone();
            Array.Sort(tempArr);
            int prijateljiUcenika = 0;
            if (tempArr[0] >= 0)
            {
                for (int i = 0; i < brojUcenika; i++)
                {
                    prijateljiUcenika = 0;
                    for (int j = 0; j < brojParova; j++)
                    {
                        if (parovi[j,0] == i + 1 || parovi[j,1] == i + 1)
                        {
                            prijateljiUcenika++;
                        }
                    }
                    druzeljubivostTakmicenja += druzeljubivostUcenika[i] * prijateljiUcenika;
                }
            }

            Console.WriteLine(druzeljubivostTakmicenja);
        }
    }
}